---
metadata:
  - name: generator
    content: Diplodoc Platform v5.55.3
alternate:
  - https://yandex.ru/support/wiki/en/api-ref/comments/pagescomments__comments.md
  - https://yandex.ru/support/wiki/ru/api-ref/comments/pagescomments__comments.md
  - href: en/api-ref/comments/pagescomments__comments.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.ru/support/wiki/en/llms.txt

<div class="openapi">

# Comments

<!-- markdownlint-disable-file -->

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-get);margin-bottom: 12px">

<div class="openapi__request">

GET {.openapi__method}
```text translate=no
https://api.wiki.yandex.net/v1/pages/{idx}/comments
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_idx_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer
{.table-cell}
||
|#{.json-schema-properties}

### Query parameters

#|
|| **Name** | **Description** ||
||

_cursor_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_order_by_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

If specified, sorts the output by the field in the `direction` direction

_Const:_{.json-schema-reset .json-schema-value} `created_at`

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_order_direction_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of**: OrderDirection" %}{.json-schema-combinators data-marker=and}

- **OrderDirection**

  **Type**: string

  An enumeration.

  _Enum:_{.json-schema-reset .json-schema-value} `asc`, `desc`

{% endcut %}

Sort direction, used if the `order_by` field is specified

_Default:_{.json-schema-reset .json-schema-value} `asc`

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_page_size_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Number of results per page.

_Default:_{.json-schema-reset .json-schema-value} `50`

_Min value:_{.json-schema-reset .json-schema-assertion} `1`

_Max value:_{.json-schema-reset .json-schema-assertion} `100`
{.table-cell}
||
||

_status_filter_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of**: CommentResolveStatus" %}{.json-schema-combinators data-marker=and}

- **CommentResolveStatus**

  **Type**: string

  An enumeration.

  _Enum:_{.json-schema-reset .json-schema-value} `resolved`, `unresolved`

{% endcut %}

Filter by comment status, accepts CommentResolveStatus (resolved, unresolved)

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

## Responses

<div class="openapi__response__code__200">

## 200 OK

OK

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "results": [
    {
      "id": 0,
      "body": "example",
      "inline_text": "example",
      "parent_id": 0,
      "author": {
        "id": 0,
        "identity": null,
        "username": "example",
        "display_name": "example",
        "is_dismissed": true,
        "affiliation": "example"
      },
      "thread_id": 0,
      "created_at": "2025-01-01T00:00:00Z",
      "is_deleted": true,
      "resolve_status": "resolved",
      "reactions": [
        {
          "type": "like",
          "author": null,
          "created_at": "2025-01-01T00:00:00Z"
        }
      ],
      "thread_info": {
        "total_posts": 0,
        "last_comment": {
          "id": 0,
          "body": "example",
          "inline_text": "example",
          "parent_id": 0,
          "author": null,
          "thread_id": 0,
          "created_at": "2025-01-01T00:00:00Z",
          "is_deleted": true,
          "resolve_status": null,
          "reactions": [
            null
          ]
        }
      }
    }
  ],
  "next_cursor": "example",
  "prev_cursor": "example"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_results_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [CommentSchemaExt](#entity-CommentSchemaExt)[]

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": 0,
    "body": "example",
    "inline_text": "example",
    "parent_id": 0,
    "author": {
      "id": 0,
      "identity": {
        "uid": "example",
        "cloud_uid": "example"
      },
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    },
    "thread_id": 0,
    "created_at": "2025-01-01T00:00:00Z",
    "is_deleted": true,
    "resolve_status": "resolved",
    "reactions": [
      {
        "type": "like",
        "author": null,
        "created_at": "2025-01-01T00:00:00Z"
      }
    ],
    "thread_info": {
      "total_posts": 0,
      "last_comment": {
        "id": 0,
        "body": "example",
        "inline_text": "example",
        "parent_id": 0,
        "author": null,
        "thread_id": 0,
        "created_at": "2025-01-01T00:00:00Z",
        "is_deleted": true,
        "resolve_status": null,
        "reactions": [
          null
        ]
      }
    }
  }
]
```

{% endcut %}
{.table-cell}
||
||

_next_cursor_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_prev_cursor_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### UserIdentity {#entity-UserIdentity}

User identifier

#|
|| **Name** | **Description** ||
||

_cloud_uid_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User identifier in the cloud

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_uid_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

User identifier

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "uid": "example",
  "cloud_uid": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### UserSchema {#entity-UserSchema}

User information

#|
|| **Name** | **Description** ||
||

_affiliation_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User affiliation

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_display_name_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User display name

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Internal user identifier
{.table-cell}
||
||

_is_dismissed_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

The user is dismissed
{.table-cell}
||
||

_username_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

User login

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_identity_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **UserIdentity**

  **Type**: [UserIdentity](#entity-UserIdentity)

  User identifier

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "uid": "example",
    "cloud_uid": "example"
  }
  ```

  {% endcut %}

{% endcut %}

User identifier in the system

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "uid": "example",
  "cloud_uid": "example"
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "identity": {
    "uid": "example",
    "cloud_uid": "example"
  },
  "username": "example",
  "display_name": "example",
  "is_dismissed": true,
  "affiliation": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### CommentResolveStatus {#entity-CommentResolveStatus}

Comment resolution status:
- `resolved` — comment is resolved
- `unresolved` — comment is not resolved


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `resolved`, `unresolved`

</div>

<div class="openapi-entity">

### ReactionType {#entity-ReactionType}

Reaction type for a comment:
- `like` — like
- `hooray` — hooray
- `confused` — confused
- `heart` — heart
- `rocket` — rocket
- `eyes` — eyes
- `fire` — fire
- `ok` — ok
- `facepalm` — facepalm
- `check` — check mark
- `laugh` — laugh
- `dislike` — dislike


**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `like`, `hooray`, `confused`, `heart`, `rocket`, `eyes`, `fire`, `ok`, `facepalm`, `check`, `laugh`, `dislike`

</div>

<div class="openapi-entity">

### CommentReactionSchema {#entity-CommentReactionSchema}

#|
|| **Name** | **Description** ||
||

_author_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [UserSchema](#entity-UserSchema)

User information

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "identity": {
    "uid": "example",
    "cloud_uid": "example"
  },
  "username": "example",
  "display_name": "example",
  "is_dismissed": true,
  "affiliation": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_created_at_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;date-time&gt;

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_type_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [ReactionType](#entity-ReactionType)

Reaction type for a comment:
- `like` — like
- `hooray` — hooray
- `confused` — confused
- `heart` — heart
- `rocket` — rocket
- `eyes` — eyes
- `fire` — fire
- `ok` — ok
- `facepalm` — facepalm
- `check` — check mark
- `laugh` — laugh
- `dislike` — dislike


_Enum:_{.json-schema-reset .json-schema-value} `like`, `hooray`, `confused`, `heart`, `rocket`, `eyes`, `fire`, `ok`, `facepalm`, `check`, `laugh`, `dislike`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "type": "like",
  "author": {
    "id": 0,
    "identity": {
      "uid": "example",
      "cloud_uid": "example"
    },
    "username": "example",
    "display_name": "example",
    "is_dismissed": true,
    "affiliation": "example"
  },
  "created_at": "2025-01-01T00:00:00Z"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### CommentSchema {#entity-CommentSchema}

Comment on a page

#|
|| **Name** | **Description** ||
||

_author_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **UserSchema**

  **Type**: [UserSchema](#entity-UserSchema)

  User information

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "id": 0,
    "identity": {
      "uid": "example",
      "cloud_uid": "example"
    },
    "username": "example",
    "display_name": "example",
    "is_dismissed": true,
    "affiliation": "example"
  }
  ```

  {% endcut %}

{% endcut %}

Comment author

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "identity": {
    "uid": "example",
    "cloud_uid": "example"
  },
  "username": "example",
  "display_name": "example",
  "is_dismissed": true,
  "affiliation": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_body_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Comment text

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_created_at_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;date-time&gt;

Date and time the comment was created

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer

Unique comment ID
{.table-cell}
||
||

_is_deleted_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean

Comment deletion flag
{.table-cell}
||
||

_reactions_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [CommentReactionSchema](#entity-CommentReactionSchema)[]

Reactions to the comment

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "type": "like",
    "author": {
      "id": 0,
      "identity": {
        "uid": "example",
        "cloud_uid": "example"
      },
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    },
    "created_at": "2025-01-01T00:00:00Z"
  }
]
```

{% endcut %}
{.table-cell}
||
||

_resolve_status_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **CommentResolveStatus**

  **Type**: [CommentResolveStatus](#entity-CommentResolveStatus)

  Comment resolution status:
  - `resolved` — comment is resolved
  - `unresolved` — comment is not resolved


  _Enum:_{.json-schema-reset .json-schema-value} `resolved`, `unresolved`

{% endcut %}

Comment resolution status

_Example:_{.json-schema-reset .json-schema-example} `resolved`
{.table-cell}
||
||

_inline_text_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Text the comment is attached to (for inline comments)

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_parent_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

ID of the parent comment (for replies in a thread)
{.table-cell}
||
||

_thread_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer

Comment thread ID
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "body": "example",
  "inline_text": "example",
  "parent_id": 0,
  "author": {
    "id": 0,
    "identity": {
      "uid": "example",
      "cloud_uid": "example"
    },
    "username": "example",
    "display_name": "example",
    "is_dismissed": true,
    "affiliation": "example"
  },
  "thread_id": 0,
  "created_at": "2025-01-01T00:00:00Z",
  "is_deleted": true,
  "resolve_status": "resolved",
  "reactions": [
    {
      "type": "like",
      "author": null,
      "created_at": "2025-01-01T00:00:00Z"
    }
  ]
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### ThreadSchema {#entity-ThreadSchema}

#|
|| **Name** | **Description** ||
||

_last_comment_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [CommentSchema](#entity-CommentSchema)

Comment on a page

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "body": "example",
  "inline_text": "example",
  "parent_id": 0,
  "author": {
    "id": 0,
    "identity": {
      "uid": "example",
      "cloud_uid": "example"
    },
    "username": "example",
    "display_name": "example",
    "is_dismissed": true,
    "affiliation": "example"
  },
  "thread_id": 0,
  "created_at": "2025-01-01T00:00:00Z",
  "is_deleted": true,
  "resolve_status": "resolved",
  "reactions": [
    {
      "type": "like",
      "author": null,
      "created_at": "2025-01-01T00:00:00Z"
    }
  ]
}
```

{% endcut %}
{.table-cell}
||
||

_total_posts_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "total_posts": 0,
  "last_comment": {
    "id": 0,
    "body": "example",
    "inline_text": "example",
    "parent_id": 0,
    "author": {
      "id": 0,
      "identity": null,
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    },
    "thread_id": 0,
    "created_at": "2025-01-01T00:00:00Z",
    "is_deleted": true,
    "resolve_status": "resolved",
    "reactions": [
      {
        "type": "like",
        "author": null,
        "created_at": "2025-01-01T00:00:00Z"
      }
    ]
  }
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### CommentSchemaExt {#entity-CommentSchemaExt}

#|
|| **Name** | **Description** ||
||

_author_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [UserSchema](#entity-UserSchema)

User information

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "identity": {
    "uid": "example",
    "cloud_uid": "example"
  },
  "username": "example",
  "display_name": "example",
  "is_dismissed": true,
  "affiliation": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_body_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_created_at_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string&lt;date-time&gt;

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer
{.table-cell}
||
||

_is_deleted_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: boolean
{.table-cell}
||
||

_reactions_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [CommentReactionSchema](#entity-CommentReactionSchema)[]

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "type": "like",
    "author": {
      "id": 0,
      "identity": {
        "uid": "example",
        "cloud_uid": "example"
      },
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    },
    "created_at": "2025-01-01T00:00:00Z"
  }
]
```

{% endcut %}
{.table-cell}
||
||

_resolve_status_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [CommentResolveStatus](#entity-CommentResolveStatus)

Comment resolution status:
- `resolved` — comment is resolved
- `unresolved` — comment is not resolved


_Enum:_{.json-schema-reset .json-schema-value} `resolved`, `unresolved`
{.table-cell}
||
||

_inline_text_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_parent_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer
{.table-cell}
||
||

_thread_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: integer
{.table-cell}
||
||

_thread_info_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [ThreadSchema](#entity-ThreadSchema)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "total_posts": 0,
  "last_comment": {
    "id": 0,
    "body": "example",
    "inline_text": "example",
    "parent_id": 0,
    "author": {
      "id": 0,
      "identity": null,
      "username": "example",
      "display_name": "example",
      "is_dismissed": true,
      "affiliation": "example"
    },
    "thread_id": 0,
    "created_at": "2025-01-01T00:00:00Z",
    "is_deleted": true,
    "resolve_status": "resolved",
    "reactions": [
      {
        "type": "like",
        "author": null,
        "created_at": "2025-01-01T00:00:00Z"
      }
    ]
  }
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "body": "example",
  "inline_text": "example",
  "parent_id": 0,
  "author": {
    "id": 0,
    "identity": {
      "uid": "example",
      "cloud_uid": "example"
    },
    "username": "example",
    "display_name": "example",
    "is_dismissed": true,
    "affiliation": "example"
  },
  "thread_id": 0,
  "created_at": "2025-01-01T00:00:00Z",
  "is_deleted": true,
  "resolve_status": "resolved",
  "reactions": [
    {
      "type": "like",
      "author": null,
      "created_at": "2025-01-01T00:00:00Z"
    }
  ],
  "thread_info": {
    "total_posts": 0,
    "last_comment": {
      "id": 0,
      "body": "example",
      "inline_text": "example",
      "parent_id": 0,
      "author": null,
      "thread_id": 0,
      "created_at": "2025-01-01T00:00:00Z",
      "is_deleted": true,
      "resolve_status": null,
      "reactions": [
        null
      ]
    }
  }
}
```

{% endcut %}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.